Stormers vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Afgelopen
29–21

Wedstrijdverslag
Stormers versloeg Dragons RFC met 29-21 in Cape Town (DHL Stadium) op zondag 22 maart 2026 (United Rugby Championship, speelronde 13).
Het is de 2e zege op rij voor Stormers. Scheidsrechter: Andrew Brace.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
5
Stormers gewonnen (100%)
0
Gelijk (0%)
0
Dragons RFC gewonnen (0%)
Laatste 5 onderlinge duels, sinds oktober 2021
Grootste zege Stormers
48–12
10 mei 2025
Laatste 5 duels
- 22 mrt 2026 · United Rugby ChampionshipStormers29Dragons RFC2122 mrt 2026Stormers29–21Dragons RFCUnited Rugby Championship
- 10 mei 2025 · United Rugby ChampionshipStormers48Dragons RFC1210 mei 2025Stormers48–12Dragons RFCUnited Rugby Championship
- 10 mei 2024 · United Rugby ChampionshipDragons RFC21Stormers4410 mei 2024Dragons RFC21–44StormersUnited Rugby Championship
- 3 dec 2022 · United Rugby ChampionshipStormers34Dragons RFC263 dec 2022Stormers34–26Dragons RFCUnited Rugby Championship
- 15 okt 2021 · United Rugby ChampionshipDragons RFC10Stormers2415 okt 2021Dragons RFC10–24StormersUnited Rugby Championship
Opstellingen
Gem. leeftijd
28.9
Gem. leeftijd
28
Stormers
- 1Vernon Matongo(24)
- 2JJ Kotze(25)
- 3Neethling Fouche(33)
- 4Adre Smith(29)
- 5JD Schickerling(31)
- 6Deon Fourie(40)
- 7Marcel Theunissen(27)
- 8Evan Roos(26)
- 9Imad Khan(22)
- 10Sacha Feinberg-Mngomezulu(24)
- 11Leolin Zas(31)
- 12Daniel Du Plessis(31)
- 14Seabelo Senatla(33)
- 15Damian Willemse(28)
Wissels
- 16André-Hugo Venter(25)
- 17Ntuthuko Mchunu(27)
- 18Sazi Sandi(28)
- 19Ben-Jason Dixon(28)
- 20Paul de Villiers(23)
- 21Hacjivah Dayimani(29)
- 22Stefan Ungerer(32)
- 23Wandisile Simelane(28)
Dragons RFC
- 1Jordan Morris(22)
- 2Elliot Dee(32)
- 3Christian Coleman(28)
- 4Levi Douglas(31)
- 5Seb Davies(30)
- 6Ryan Woodman(22)
- 7Harry Beddall(21)
- 8Harrison Keddie(30)
- 9Rhodri Williams(33)
- 10Angus O'Brien(32)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fetuli Paea(32)
- 14Jared Rosser(28)
- 15Cai Evans(27)
Wissels
- 16Brodie Coghlan(25)
- 17Wyn Jones(34)
- 18Owain James(21)
- 19Barny Langton(25)
- 20Thomas Young(34)
- 21Niall Armstrong(27)
- 23Fine Inisi(28)